LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-29-2006, 09:39 PM   #1
mjp053000
LQ Newbie
 
Registered: Jun 2006
Distribution: RHEL, SLES, Fedora, Ubuntu
Posts: 14

Rep: Reputation: 0
trouble installing emacs


Hello,

I have tried installing emacs from the gnu.org site, however I get the following error:

make[1]: *** [emacs] Segmentation fault
make[1]: *** Deleting file `emacs'
make[1]: Leaving directory `/home/mpatrick/emacs-21.4/src'
make: *** [src] Error 2

OK, so I visited the RPM site to get the .rpm and unfortunately I end up with:

Missing Dependency: fonts-xorg-75dpi is needed by package emacs

No problem. But when I try to install the 75dpi rpm and I get:

xorg-x11-fonts-ISO8859-1-75dpi conflicts with fonts-xorg-75dpi

I would really appreciate it if someone could shed light on this for me.

Thanks
 
Old 06-29-2006, 10:54 PM   #2
jschiwal
LQ Guru
 
Registered: Aug 2001
Location: Fargo, ND
Distribution: SuSE AMD64
Posts: 15,733

Rep: Reputation: 671Reputation: 671Reputation: 671Reputation: 671Reputation: 671Reputation: 671
What is your distro and how did you install it. If you installed from CD's you can probably use your package management system and install what you need. Emacs is available as one of the packages.

Look at this line from the information on the emacs package: rpm -qi emacs

Basic package for the GNU Emacs editor. Requires emacs-x11 or
emacs-nox.

If you don't have x windows installed, then install the emacs-nox package instead of the emacs-x11 to obtain the needed fonts. If you can't find the emacs-nox package for your distro, try the http://rpm.pbone.net website. The website is convenient for finding and downloading dependencies that you need also.
 
Old 07-02-2006, 03:39 PM   #3
mjp053000
LQ Newbie
 
Registered: Jun 2006
Distribution: RHEL, SLES, Fedora, Ubuntu
Posts: 14

Original Poster
Rep: Reputation: 0
Smile Thanks

This helped alot, I was able to install emacs-nox.
Thank you for your help
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems installing emacs 21.4 etcetera Linux - Software 3 03-13-2006 08:36 PM
Emacs and mmm-mode trouble aliensub Linux - Software 6 01-15-2006 06:52 PM
Emacs Trouble, Meta key not working chandru.in Slackware 6 07-18-2005 04:53 AM
installing emacs on SuSE 9.3 ljr2600 Linux - Newbie 2 06-23-2005 04:26 AM
Installing emacs fasisi Linux - Newbie 2 09-23-2003 11:17 PM


All times are GMT -5. The time now is 03:45 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration